clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
140.6
140.775
140.95
141.125
141.3
141.475
141.65
141.825
142
142.175
142.35
142.525
142.7
142.875
143.05
143.225
143.4    
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000501859	0.000521435	0.00054346	0.000568362	0.000596679	0.000629088	0.000666458	0.000709927	0.000761006	0.000821758	0.000895066	0.000985088	0.00109805	0.00124374	0.00143842	0.00171132	0.00212079;
0.000501805	0.000521381	0.000543407	0.000568312	0.00059663	0.00062904	0.00066641	0.000709879	0.000760959	0.000821712	0.00089502	0.000985042	0.00109801	0.00124369	0.00143837	0.00171127	0.00212074;
0.000501751	0.000521328	0.000543356	0.000568261	0.000596581	0.000628991	0.000666363	0.000709833	0.000760914	0.000821666	0.000894975	0.000984996	0.00109796	0.00124365	0.00143832	0.00171122	0.00212068;
0.000501697	0.000521276	0.000543304	0.000568211	0.000596532	0.000628944	0.000666317	0.000709787	0.000760868	0.000821621	0.000894929	0.000984951	0.00109792	0.0012436	0.00143827	0.00171117	0.00212063;
0.000501643	0.000521224	0.000543254	0.000568162	0.000596484	0.000628896	0.00066627	0.000709741	0.000760823	0.000821577	0.000894886	0.000984907	0.00109787	0.00124356	0.00143823	0.00171112	0.00212058;
0.00050159	0.000521172	0.000543203	0.000568113	0.000596436	0.00062885	0.000666224	0.000709696	0.000760778	0.000821533	0.000894842	0.000984863	0.00109783	0.00124351	0.00143818	0.00171107	0.00212052;
0.000501537	0.000521121	0.000543153	0.000568064	0.000596388	0.000628803	0.000666179	0.000709651	0.000760735	0.00082149	0.000894798	0.00098482	0.00109778	0.00124347	0.00143813	0.00171102	0.00212047;
0.000501485	0.00052107	0.000543104	0.000568016	0.000596341	0.000628756	0.000666134	0.000709607	0.000760691	0.000821446	0.000894756	0.000984778	0.00109774	0.00124342	0.00143809	0.00171097	0.00212043;
0.000501433	0.000521019	0.000543055	0.000567968	0.000596294	0.000628711	0.000666089	0.000709563	0.000760648	0.000821404	0.000894713	0.000984736	0.0010977	0.00124338	0.00143805	0.00171093	0.00212038;
0.000501381	0.000520969	0.000543006	0.00056792	0.000596248	0.000628666	0.000666045	0.00070952	0.000760605	0.000821362	0.000894672	0.000984694	0.00109766	0.00124334	0.001438	0.00171088	0.00212033;
0.00050133	0.000520919	0.000542957	0.000567873	0.000596202	0.000628621	0.000666001	0.000709477	0.000760563	0.000821321	0.000894631	0.000984653	0.00109762	0.0012433	0.00143796	0.00171084	0.00212028;
0.000501279	0.00052087	0.000542909	0.000567826	0.000596157	0.000628577	0.000665957	0.000709435	0.000760522	0.00082128	0.000894591	0.000984613	0.00109758	0.00124326	0.00143792	0.0017108	0.00212024;
0.000501229	0.000520821	0.000542862	0.00056778	0.000596111	0.000628533	0.000665915	0.000709393	0.000760481	0.000821239	0.000894551	0.000984573	0.00109754	0.00124322	0.00143788	0.00171075	0.00212019;
0.000501179	0.000520772	0.000542814	0.000567734	0.000596066	0.000628489	0.000665872	0.000709351	0.00076044	0.000821199	0.000894511	0.000984534	0.0010975	0.00124318	0.00143784	0.00171071	0.00212015;
0.000501129	0.000520724	0.000542767	0.000567688	0.000596022	0.000628446	0.00066583	0.00070931	0.0007604	0.000821159	0.000894472	0.000984495	0.00109746	0.00124314	0.0014378	0.00171067	0.00212011;
0.00050108	0.000520676	0.000542721	0.000567643	0.000595978	0.000628403	0.000665789	0.000709269	0.000760359	0.00082112	0.000894433	0.000984457	0.00109742	0.0012431	0.00143776	0.00171063	0.00212007;
0.000501031	0.000520629	0.000542675	0.000567598	0.000595935	0.000628361	0.000665747	0.000709229	0.00076032	0.000821082	0.000894395	0.000984419	0.00109738	0.00124306	0.00143772	0.00171059	0.00212003];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','p',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0003 0.00212079])
ylim([140.6E9 143.4E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([140.6E9 141E9 141.5E9 142E9 142.5E9 143.0E9 143.4E9])
zticks([0.000501031 0.00075 0.00100 0.00125 0.00150 0.00175 0.00212079])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-20Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_20TaDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Lowload_20TaDoped_strainenergy_LLZO_48e_fAl.png